uses
  dvector2f,
  dintersect;

var
  Circle: TCircle2f;
  Rect: TRect2f;
  Ray: TRay2f;
  Info: TIntersectInfo2f;

begin
  if Intersect(Circle, Rect, nil) then begin
    Writeln('Intersected ');
  end else begin
    Writeln('Circle vs Rect are not intersected ');
  end;
end.
